summaryrefslogtreecommitdiffstats
path: root/source/n/nn/nn.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/nn/nn.SlackBuild')
-rwxr-xr-xsource/n/nn/nn.SlackBuild113
1 files changed, 113 insertions, 0 deletions
diff --git a/source/n/nn/nn.SlackBuild b/source/n/nn/nn.SlackBuild
new file mode 100755
index 000000000..45b694375
--- /dev/null
+++ b/source/n/nn/nn.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Copyright 2002-2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=6.7.3
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-2}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-nn
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf nn-$VERSION
+tar xvf $CWD/nn-$VERSION.tar.bz2 || exit 1
+cd nn-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+zcat $CWD/nn.diff.gz | sed -e "s#/usr/lib/nn#/usr/lib${LIBDIRSUFFIX}/nn#" \
+ | patch -p1 --verbose || exit 1
+zcat $CWD/nn.badnntphost.diff.gz | patch -p1 --verbose || exit 1
+# Taken from slamd64 (who adapted an old Ubuntu patch);
+# Besides adding DESTDIR support, it gets rid of the hardlinks that are created:
+zcat $CWD/nn.destdir.diff.gz | patch -p1 --verbose || exit 1
+
+cp config.h-dist config.h
+make all
+
+echo "*** USE install option 's'"
+sleep 5
+mkdir -p $PKG/etc $PKG/usr/bin $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/man/man{1,8}
+DESTDIR=$PKG ./inst
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+zcat $CWD/nntpserver.gz > $PKG/etc/nntpserver.new
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/nn-$VERSION
+cp -a \
+ INSTALLATION README \
+ $PKG/usr/doc/nn-$VERSION
+# This might be useful, so we'll put it in the docs just in case:
+cp -a \
+ $CWD/NNTP.gz \
+ $PKG/usr/doc/nn-$VERSION
+ gzip -d $PKG/usr/doc/nn-$VERSION/NNTP.gz
+ chmod 644 $PKG/usr/doc/nn-$VERSION/NNTP
+mkdir -p $PKG/usr/doc/nn-$VERSION/contrib
+( cd contrib ; cp -a \
+ README aspell cn howto-metamail mail-alias \
+ nn_elm nn-use-mh nnsum recmail.c recmail.sh \
+ $PKG/usr/doc/nn-$VERSION/contrib )
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/nn-$VERSION-$ARCH-$BUILD.txz
+